PHP-инклюдинг в NoAh PHP Content Architect

Дата публикации:
08.12.2007
Дата изменения:
10.04.2009
Всего просмотров:
1406
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
NoAh PHP Content Architect 0.x
Уязвимые версии: NoAh PHP Content Architect 0.9 pre 1.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "filepath" в сценариях css_file.php, js_file.php и xml_file.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/noah/modules/nosystem/templates/css_file.php?filepath=[file]
http://[host]/noah/modules/nosystem/templates/js_file.php?filepath=[file]
http://[host]/noah/modules/nosystem/templates/xml_file.php?filepath=[file]

URL производителя: sourceforge.net/projects/phparch/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA